#!/bin/sh

echo "Updating MAC..."
update-mac dtb_recovery.bin dtb_recovery.patched
echo "OK"

echo "Erasing DTB Recovery... "
flash_eraseall /dev/mtd3
echo "OK"

echo "Flashing DTB Recovery... "
nandwrite -p /dev/mtd3 dtb_recovery.patched
echo "OK"

echo "Erasing Kernel Recovery... "
flash_eraseall /dev/mtd5
echo "OK"

echo "Flashing Kernel Recovery... "
nandwrite -p /dev/mtd5 kernel_recovery.bin
echo "OK"
